Repository speciali

Da Guide@Debianizzati.Org.

(Differenze fra le revisioni)
m (Debian LTS (Long Term Support))
(pacchetto debian-security-support)
Riga 105: Riga 105:
=== Squeeze LTS ===
=== Squeeze LTS ===
-
Al momento la release in fase LTS è Squeeze che, essendo stata rilasciata come ''stable'' il 6 febbraio 2011, riceverà il supporto LTS fino al febbraio 2016 per i pacchetti più importanti. Solo le architetture '''i386''' e '''amd64''' riceveranno gli aggiornamenti LTS, chi utilizza le altre architetture dovrà passare a ''Wheezy'' o ancor meglio a ''Jessie''.
+
Al momento la release in fase LTS è Squeeze che, essendo stata rilasciata come ''stable'' il 6 febbraio 2011, riceverà il supporto LTS fino al febbraio 2016, anche se non per tutti i pacchetti. Inoltre solo le architetture '''i386''' e '''amd64''' riceveranno gli aggiornamenti LTS, per cui chi utilizza altre architetture dovrà passare a ''Wheezy'' o ancora meglio a ''Jessie''.
Per utilizzare i repository con gli aggiornamenti LTS, togliere da <code>/etc/apt/sources.list</code> le righe degli aggiornamenti di sicurezza ufficiali ('''squeeze/updates''', che non sono più attivi e gli aggiornamenti rilasciati sono comunque incorporati nel repository principale '''squeeze''') e aggiungere queste righe:
Per utilizzare i repository con gli aggiornamenti LTS, togliere da <code>/etc/apt/sources.list</code> le righe degli aggiornamenti di sicurezza ufficiali ('''squeeze/updates''', che non sono più attivi e gli aggiornamenti rilasciati sono comunque incorporati nel repository principale '''squeeze''') e aggiungere queste righe:
Riga 113: Riga 113:
deb-src http://ftp.it.debian.org/debian/ squeeze-lts main
deb-src http://ftp.it.debian.org/debian/ squeeze-lts main
</pre>
</pre>
-
Dopo controllare che, se <code>/etc/apt/apt.conf</code> contiene già una riga con <code>Default-Release</code>, questa sia impostata come '''squeeze-lts''':
+
Ed effettuare l'aggiornamento della lista di pacchetti con [[apt-get]]:
 +
<pre>
 +
# apt-get update
 +
</pre>
 +
 
 +
Controllare che, se <code>/etc/apt/apt.conf</code> contiene già una riga con <code>Default-Release</code>, questa sia impostata come '''squeeze-lts''':
<pre>
<pre>
APT::Default-Release "squeeze-lts";
APT::Default-Release "squeeze-lts";
</pre>
</pre>
-
Se si ricevono errori per firma o chiave mancante, installare o aggiornare il pacchetto <code>debian-archive-keyring</code> .
+
e se durante un'installazione o un aggiornamento si ricevono errori per firma o chiave mancante, installare o aggiornare il pacchetto <code>debian-archive-keyring</code> .
 +
 
 +
Si consiglia inoltre di installare il pacchetto <code>debian-security-support</code>:
 +
<pre>
 +
# apt-get install debian-security-support
 +
</pre>
 +
per controllare quali pacchetti non riceveranno più supporto:
 +
<pre>
 +
$ check-support-status
 +
</pre>
Di seguito un estratto del file [http://ftp.debian.org/debian/dists/squeeze-lts/Release Release] del repository:
Di seguito un estratto del file [http://ftp.debian.org/debian/dists/squeeze-lts/Release Release] del repository:
Riga 159: Riga 173:
|Estesa_da=
|Estesa_da=
:[[Utente:BubuXP|BubuXP]]
:[[Utente:BubuXP|BubuXP]]
 +
:[[Utente:HAL 9000|HAL 9000]]
|Verificata_da=
|Verificata_da=
:[[Utente:S3v|S3v]] 16:55, 23 ott 2012 (CEST)
:[[Utente:S3v|S3v]] 16:55, 23 ott 2012 (CEST)

Versione delle 13:49, 9 mag 2015

I repository
Arrow left.png

Introduzione ai repository

Repository ufficiali di Debian

Repository esterni

Extra

Arrow right.png



Debian-swirl.png Versioni Compatibili
Tutte le versioni supportate di Debian

Indice


Info.png Nota
  • In questa guida si danno per scontate le nozioni di base riguardo il funzionamento di Debian, e dei repository in particolare.
  • I repository qui indicati possiedono tutte e tre le sezioni ufficiali, cioè main, contrib e non-free, tuttavia nei seguenti esempi si indicherà solo main.


Debian updates (Aggiornamenti raccomandati)

Questi repository sono da aggiungersi a quelli standard e di sicurezza presenti in /etc/apt/sources.list, per garantire gli aggiornamenti di alcuni pacchetti con maggiore frequenza. Verrà sempre utilizzato il mirror italiano e la sola sezione main.

# Aggiornamenti raccomandati della stable
deb http://ftp.it.debian.org/debian jessie-updates main
deb-src http://ftp.it.debian.org/debian jessie-updates main
# Aggiornamenti raccomandati della old-stable
deb http://ftp.it.debian.org/debian wheezy-updates main
deb-src http://ftp.it.debian.org/debian wheezy-updates main
# Aggiornamenti raccomandati di testing
deb http://ftp.it.debian.org/debian stretch-updates main
deb-src http://ftp.it.debian.org/debian stretch-updates main

Gli aggiornamenti raccomandati, se si utilizza la testing, non verranno abilitati fino a quando la versione di Debian utilizzata non diventa "stable".

Questo archivio sostituisce il precedente "Volatile" a partire dal rilascio di Debian 6.0 "Squeeze". I pacchetti contenuti in questo repository soddisfano le seguenti caratteristiche:

Tutti i pacchetti contenuti in questo repository saranno anche inclusi nella successiva point release.
Prima di entrare in questo archivio, tutti i pacchetti proposti dagli sviluppatori sono controllati dallo "Stable Release Team" di Debian che decide se accettarli o respingerli.
Di seguito un estratto del file Release del repository:

Origin: Debian
Label: Debian
Suite: stable-updates
Codename: jessie-updates
Date: Fri, 08 May 2015 09:12:17 UTC
Valid-Until: Fri, 15 May 2015 09:12:17 UTC
Architectures: amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64el s390x sparc
Components: main contrib non-free
Description: Updated packages for Debian 8

Debian proposed updates (Aggiornamenti proposti)

Warning.png ATTENZIONE
Non sono ancora considerati parte di una Debian stable, anche se hanno una stabilità maggiore delle altre release, pertanto se si è in dubbio si consiglia di non aggiungerli al proprio /etc/apt/sources.list. Inoltre è necessario rimuoverli dai repository prima di effettuare l'aggiornamento del sistema a una nuova versione di Debian.


# Aggiornamenti proposti per la prossima point release della stable
deb http://ftp.it.debian.org/debian jessie-proposed-updates main
deb-src http://ftp.it.debian.org/debian jessie-proposed-updates main
# Aggiornamenti proposti per la prossima point release della old-stable
deb http://ftp.it.debian.org/debian wheezy-proposed-updates main
deb-src http://ftp.it.debian.org/debian wheezy-proposed-updates main

Alcuni aggiornamenti per determinati pacchetti che non richiedono una particolare urgenza e che non riguardano fix di bug legati alla sicurezza, vengono rinviati al rilascio della successiva point release della versione stable (o della oldstable) di Debian. Se non si vuole aspettare la point release, si può utilizzare questo repository per installare immediatamente gli aggiornamenti proposti.
Prima di entrare in questo archivio, tutti i pacchetti proposti dagli sviluppatori sono controllati dallo "Stable Release Team" di Debian che decide se accettarli o respingerli.

Di seguito un estratto del file Release del repository:

Origin: Debian
Label: Debian
Suite: proposed-updates
Version: 8-updates
Codename: jessie-proposed-updates
Date: Fri, 08 May 2015 09:12:17 UTC
Valid-Until: Fri, 15 May 2015 09:12:17 UTC
Architectures: amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x
Components: main contrib non-free
Description: Proposed Updates for Debian 8 - Not Released

Debian LTS (Long Term Support)

Quando una oldstable diventa obsoleta (circa un anno dopo che è diventata oldstable), questa non riceverà più gli aggiornamenti di sicurezza ufficiali da parte del team di sicurezza di Debian, ed un upgrade alla versione stable sembrerebbe a questo punto inevitabile.
Ma possono esserci dei casi in cui questo upgrade non sia effettuabile immediatamente per svariati motivi. Allora un gruppo di sviluppatori volontari e di compagnie interessate, hanno creato un team per il supporto a lungo termine (LTS), per continuare il rilascio di aggiornamenti di sicurezza dopo che il team di sicurezza ufficiale smette di farlo. Il progetto intende portare a 5 anni totali la vita di una release, partendo il conteggio dalla data di rilascio come stable.

Squeeze LTS

Al momento la release in fase LTS è Squeeze che, essendo stata rilasciata come stable il 6 febbraio 2011, riceverà il supporto LTS fino al febbraio 2016, anche se non per tutti i pacchetti. Inoltre solo le architetture i386 e amd64 riceveranno gli aggiornamenti LTS, per cui chi utilizza altre architetture dovrà passare a Wheezy o ancora meglio a Jessie.

Per utilizzare i repository con gli aggiornamenti LTS, togliere da /etc/apt/sources.list le righe degli aggiornamenti di sicurezza ufficiali (squeeze/updates, che non sono più attivi e gli aggiornamenti rilasciati sono comunque incorporati nel repository principale squeeze) e aggiungere queste righe:

# Aggiornamenti della sicurezza LTS
deb http://ftp.it.debian.org/debian/ squeeze-lts main
deb-src http://ftp.it.debian.org/debian/ squeeze-lts main

Ed effettuare l'aggiornamento della lista di pacchetti con apt-get:

# apt-get update

Controllare che, se /etc/apt/apt.conf contiene già una riga con Default-Release, questa sia impostata come squeeze-lts:

APT::Default-Release "squeeze-lts";

e se durante un'installazione o un aggiornamento si ricevono errori per firma o chiave mancante, installare o aggiornare il pacchetto debian-archive-keyring .

Si consiglia inoltre di installare il pacchetto debian-security-support:

# apt-get install debian-security-support

per controllare quali pacchetti non riceveranno più supporto:

$ check-support-status

Di seguito un estratto del file Release del repository:

Origin: Debian
Label: Debian
Suite: squeeze-lts
Version: 6.0-lts
Codename: squeeze-lts
Date: Sat, 09 May 2015 09:08:15 UTC
Valid-Until: Sat, 16 May 2015 09:08:15 UTC
Architectures: amd64 i386
Components: main contrib non-free
Description: Long Term Support for Debian 6.0

Debian experimental

Warning.png ATTENZIONE
Come lascia intuire già il nome, in questo repository si trovano pacchetti appena rilasciati o in una fase iniziale di sviluppo. Non si dovrebbero scaricare pacchetti da qui a meno che non si sappia esattamente cosa si sta facendo.

Per citare le Debian FAQ, questi pacchetti possono essere pericolosi e dannosi anche per i più esperti. La loro installazione può portare all'instabilità o inusabilità dell'intero sistema oppure introdurre delle falle di sicurezza.


# Debian experimental
deb http://ftp.it.debian.org/debian experimental main
deb-src http://ftp.it.debian.org/debian experimental main

Experimental non è una release, pertanto il repository non è autosufficiente e tipicamente è usato in congiunzione con i repository di Debian Sid, per fornire software ancora più aggiornato.

Tali repository sono disabilitati di default (il loro file Release contiene NotAutomatic: yes e nessun ButAutomaticUpgrades: yes, corrispondente a una Pin-Priority di default pari a 1) e un pacchetto può essere installato soltanto in uno dei seguenti casi, in assenza di pinning:

Anche una volta installato, un pacchetto non sarà tenuto aggiornato automaticamente dagli experimental, perché di default la loro Pin-Priority è inferiore alla versione installata localmente, ma sarà necessario ripetere il comando di installazione con indicazione manuale degli experimental (oppure impostare il pinning, ma è sconsigliabile). Per maggiori informazioni si legga la pagina di manuale sulla gestione delle priorità (man apt_preferences).




Guida scritta da: Risca86

Swirl-auth80.png Debianized 80%

Estesa da:
BubuXP
HAL 9000
Verificata da:
S3v 16:55, 23 ott 2012 (CEST)
HAL 9000 18:30, 8 mag 2015 (CEST)
BubuXP 02:49, 9 mag 2015 (CEST)

Verificare ed estendere la guida | Cos'è una guida Debianized

Strumenti personali
Namespace
Varianti
Azioni
Navigazione
Risorse
Strumenti